%global debug_package %{nil}

Name: trivy-db
Version: 1.0
Release: 1%{?dist}.inferit.2
Summary: trivy-db is a CLI tool and a library to manipulate Trivy DB

License: Apache-2.0
Url: https://github.com/aquasecurity/vuln-list-update/

Source0: %{name}-%{version}.tar.gz
Source1: %{name}_pkgmod-%{version}.tar.gz
Source2: trivy-db-tools
Patch0:  0001-Added-MSVSphere-support.patch

BuildRequires:  golang
Requires:  golang
Requires:  oras
Requires:  vuln-list-update

%description
%summary.

%prep
%autosetup -p1 -n %{name}-%{version}
PKGMODDIR="$(go env GOPATH)/pkg/mod/"
mkdir -p ${PKGMODDIR}
tar -xf %{SOURCE1} -C ${PKGMODDIR}
cp %{SOURCE2} .

%build
make build

%install
mkdir -p %{buildroot}/%{_bindir}/
install -m 0755 -vp %{name} %{buildroot}/%{_bindir}/
install -m 0755 -vp %{name}-tools %{buildroot}/%{_bindir}/

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-tools

%changelog
* Fri May 23 2025 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1.0-1.inferit.2
- Added dependencies

* Thu May 22 2025 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1.0-1.inferit.1
- Fix the archive creation error

* Wed Apr 23 2025 Sergey Cherevko <s.cherevko@msvsphere-os.ru> - 1.0-1.inferit
- Initial build for MSVSphere
